cmake_minimum_required(VERSION 3.10)

add_library(
	OxClArgs
		clargs.cpp
)

set_property(
	TARGET
		OxClArgs
	PROPERTY
		POSITION_INDEPENDENT_CODE ON
)

if(NOT MSVC)
	target_compile_options(OxClArgs PRIVATE -Wsign-conversion)
	target_compile_options(OxClArgs PRIVATE -Wconversion)
endif()

target_link_libraries(
	OxClArgs PUBLIC
		OxStd
)

install(
	FILES
		clargs.hpp
	DESTINATION
		include/ox/clargs
)

install(
	TARGETS
		OxClArgs
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)
